use std::env;

mod config_reader;
mod bot;
pub use config_reader::config_reader::BotUserInfo;
pub use bot::bot::Bot;

#[tokio::main]
async fn main() {
    println!("Starting Matrix-Modbot");
    let mut args: Vec<String> = env::args().collect();
    if args.is_empty() {
        args.push("config.ini".to_string()) // Set the default config file path to config.ini
    }
    let config_path = &args[0];
    let creds = BotUserInfo::get_info(config_path).unwrap();
    Bot::bot_login(creds);
}
